#!/bin/bash

COMPANY={{ lookup('env','ANSIBLE_COMPANY') }}
DOCKERIFACE=$(/sbin/ifconfig docker0 2>/dev/null | grep 'inet addr:' | cut -d: -f2 | cut -d' ' -f1)
if [ "x${DOCKERIFACE}" != "x" ]; then
  FLUENTD="--env FLUENTD_SERVER=${DOCKERIFACE}"
fi
docker run \
  --env ANSIBLE_LOG_PATH=/var/log/ansible/$COMPANY.log \
  --env FLUENTD_COMPANY=$COMPANY \
  ${FLUENTD} \
  --env-file /home/gitlab-runner/.a/environment \
  --volume /home/gitlab-runner/.ssh/id_rsa:/root/.ssh/id_rsa \
  --volume /home/gitlab-runner/.a/variables.yml:/root/.ansible/secrets \
  --volume /home/gitlab-runner/.a/inventories/$COMPANY:/root/.ansible \
  --volume /var/log/ansible:/var/log/ansible \
  registry.lakedrops.com/ansible-inventories/$COMPANY \
  "$@"
