#!/bin/bash

if [[ "$1" == "" ]]; then
  echo "Project ID required as first argument."
  exit 1
fi

ID=$1

TOKEN=$(curl -s -H "PRIVATE-TOKEN: {{ gitlab_issue.token }}" "https://gitlab.lakedrops.com/api/v4/projects/${ID}" | jq -r .runners_token)
NAME=$(curl -s -H "PRIVATE-TOKEN: {{ gitlab_issue.token }}" "https://gitlab.lakedrops.com/api/v4/projects/${ID}" | jq -r .path_with_namespace)

gitlab-runner register --tag-list deploylocal --non-interactive --registration-token "${TOKEN}" --name "Local deployment {{ inventory_hostname }}, ${NAME}" --url https://gitlab.lakedrops.com/ --executor docker --docker-image registry.lakedrops.com/docker/gitlab-drupal-ci/php-7.4 --docker-disable-cache --docker-volumes "/var/run/docker.sock:/var/run/docker.sock" --docker-volumes "/drupal/${ID}:/data" --env "DOCKER_AUTH_CONFIG={\"auths\":{\"registry.lakedrops.com\":{\"auth\":\"{{ gitlab_docker_registry_token }}\"}}}" --docker-pull-policy "always"
